## autofs 5.1.5

=== debian/changelog ===
autofs (5.1.5-2) unstable; urgency=medium

  * Upload to unstable as is.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 02 Aug 2019 19:47:29 +0200

autofs (5.1.5-1) experimental; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
    - Make browsable_dirs option functional. Configurable in autofs.conf.
      (Closes: #784301).
    - Fix FTBFS with clang. (Closes: #757038).
    - Fix specification of nfsvers=4.1 (with minor version numbers) in
      auto.master. (Closes: #892374).
  * debian/patches:
    + Rebase some patches.
    + Drop do-not-check-for-modprobe-procfs-or-load-module.patch,
      fix-autofs-manpage-whatis.patch, fix-autofsconf-manpage-section.patch.
      Fixes shipped by upstream.
    + Add mount-hidden-samba-shares.patch. Fix regression between 5.0.8 and
      5.1.1 regarding the mounting of hidden samba shares. (Closes: #787202,
      #910367).
    + Add spelling-error-fixes.patch, fixing tons of spelling fixes. Thanks
      lintian.
  * debian/rules:
    + Add get-orig-source target.
    + Evoke install_samples upstream Makefile target explicitly during
      dh_auto_install.
    + Enable all hardening flags.
  * debian/control:
    + Bump to Standards-Version: 4.3.0. No changes needed.
    + Adopt autofs package. Thanks to Dmitry Smirnov and other contributors
      for all the previous work. (Closes: #849148).
    + Explicit B-D on pkg-config.
    + Update Vcs-*: fields. Packaging has moved to salsa.debian.org.
      (Closes: #902565).
    + Add B-D on dpkg-dev (>= 1.16.1.1~) for full hardening flag support.
    + Use secure URL in Homepage: field.
  * debian/source/options:
    + Drop custom compression for debian/ folder's tarball.
  * debian/autofs-ldap.<scripts>:
    + Ensure file permissions of /etc/autofs_ldap_auth.conf are set to
      root:root:0600 via dpkg-statoverride. (Closes: #805028).
  * debian/autofs.service:
    + Add nfs-client.target to Wants= key. Hopefully, this is sufficient to
      fix #842199, if not, please reopen the bug. (Closes: #842199).
    + PID file is in /run, not /var/run (which is a symlink to /run).
    + Add Documentation= key.
  * debian/copyright:
    + Drop outdated information from main header. Use https:// in URLs.

  [ Stefan Potyra ]
  * debian/control:
    + Add libtirpc-dev to build-depends.
  * debian/rules:
    + Add option --with-libtirpc to configure. (Closes: #737679, #709366).

  [ Andreas Hasenack ]
  * debian/tests:
    + Add nfs-mount and smb-mount tests. (Closes: #901554).

  [ Vincent McIntyre ]
  * debian/patches:
    + Add hardening-flags.patch. Assure that automount is built with
      DAEMON_CFLAGS. (Closes: #864857).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 14 Mar 2019 19:42:50 +0100
