## autofs 5.1.6

=== debian/changelog ===
autofs (5.1.6-2) unstable; urgency=medium

  [ Andreas Hasenack ]
  * d/p/fix-lookup-ldap-crash.patch: fix crash on startup due to uninitialized
    config.  (LP #1503034). (Closes: #901344).
  * d/rules: Add LDFLAGS to avoid issues with accessing global variables in
    shared libraries (LP #1470687, LP #1472115).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 15 Jan 2020 23:04:23 +0100

autofs (5.1.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Rebase 11default_automaster_location.patch,
      12disable_default_auto_master.patch and spelling-error-fixes.patch.
    + Add two more spelling fixes to spelling-error-fixes.patch.
  * debian/{control,compat}:
    + Switch to debhelper-compat notation.
    + Bump to DH compat level version 12.
    + Drop autoconf from B-D.
  * debian/control:
    + Bump Standards-Version: to 4.4.1. No changes needed.
    + Add Rules-Requires-Root: field and set it to "no".
  * debian/rules:
    + Drop --with systemd. No longer provided in DH compat level >= 11.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 11 Nov 2019 18:45:45 +0100
