=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Mike Gabriel <sunweaver@debian.org>
 Uploaders:
  Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>,
-Standards-Version: 4.3.0
-Build-Depends: debhelper (>= 9.20160709), autoconf,
+Standards-Version: 4.4.1
+Build-Depends:
+ debhelper-compat (= 12),
  bison,
  dpkg-dev (>= 1.16.1.1~),
  e2fsprogs,
@@ -19,6 +20,7 @@
  pkg-config,
  sssd-common,
  libtirpc-dev,
+Rules-Requires-Root: no
 Homepage: https://www.kernel.org/pub/linux/daemons/autofs/v5/
 VCS-Browser: https://salsa.debian.org/debian/autofs/
 VCS-Git: https://salsa.debian.org/debian/autofs.git
