=== debian/watch ===
version=3
https://www.kernel.org/pub/linux/daemons/autofs/v5/autofs-(5[^-]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
