=== debian/changelog ===
autofs (5.1.7-1+deb11u2) bullseye; urgency=medium

  * use correct reference for IN6 macro call
  * dont probe interface that cant send packet (Closes: #1041051)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 08 Aug 2023 10:31:29 +0200

autofs (5.1.7-1+deb11u1) bullseye; urgency=medium

  * debian/patches:
    + Add fix-nfs4-only-mounts-should-not-use-rpcbind.patch. Don't let NFSv4-
      only mounts use rpcbind portmapper service. (Closes: #1034261).
    + Add fix-missing-unlock-in-sasl-do-kinit-ext-cc.patch. Fix missing unlock
      in sasl_do_kinit_ext_cc(). (Closes: #1039967).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 10 Jul 2023 19:01:17 +0200

autofs (5.1.7-1) unstable; urgency=medium

  * New upstream release.
    - autofs: Fix crash in sun_mount() (Closes: #892953).
    - Use PKG_CHECK_MODULES to detect the libxml2 library. (Closes: #949055).
  * debian/patches:
    + Drop fix-autofs-schema.patch and make-bind-mounts-propagation-slave-by-
      default.patch. Applied upstream.
    + Trivially rebase patches.
    + Add another typo fix to spelling-error-fixes.patch.
  * debian/autofs.install:
    + Install libautofs.so into bin:pkg autofs (for now).
  * debian/control:
    + Bump Standards-Version: to 4.5.1. No changes needed.
  * debian/autofs.lintian-overrides:
    + Ignore libautofs.so (share lib) for now.
    + Ignore lintian complain about autofs.8 man page.
  * debian/watch:
    + Update format version to 4.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 04 Feb 2021 13:36:20 +0100

autofs (5.1.6-4) unstable; urgency=medium

  * debian/patches:
    + Add fix-autofs-schema.patch. Fix EQUALITY of automountInformation
      in LDAP autofs.schema. (Closes: #968675).
    + Add fix-nfs4-mounts-in-auto-net.patch. Follow-up of the nfs4 fix in
      #533893. (Closes: #646625).
  * debian/control:
    + Use correct capitalization for Vcs-*: field tags.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 26 Oct 2020 21:46:29 +0100

autofs (5.1.6-3) unstable; urgency=medium

  * debian/patches:
    + Add make-bind-mounts-propagation-slave-by-default.patch. (Closes:
      #795281).
  * debian/control:
    + Bump DH compat level to 13.
    + Bump Standards-Version: to 4.5.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 29 Jun 2020 13:21:47 +0200
