=== debian/control ===
--- 
+++ 
@@ -4,9 +4,8 @@
 Maintainer: Mike Gabriel <sunweaver@debian.org>
 Uploaders:
  Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>,
-Standards-Version: 4.4.1
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  bison,
  dpkg-dev (>= 1.16.1.1~),
  e2fsprogs,
@@ -21,9 +20,10 @@
  sssd-common,
  libtirpc-dev,
 Rules-Requires-Root: no
+Standards-Version: 4.5.1
 Homepage: https://www.kernel.org/pub/linux/daemons/autofs/v5/
-VCS-Browser: https://salsa.debian.org/debian/autofs/
-VCS-Git: https://salsa.debian.org/debian/autofs.git
+Vcs-Browser: https://salsa.debian.org/debian/autofs/
+Vcs-Git: https://salsa.debian.org/debian/autofs.git
 
 Package: autofs
 Architecture: linux-any
