=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,14 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+# Taken from #1636781 as it's the same problem here. Also see
+# https://lists.ubuntu.com/archives/ubuntu-devel/2018-June/040369.html
+ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
+  export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions
+endif
 
 %:
-	dh $@ --with systemd
+	dh $@
 
 override_dh_auto_configure:
 	autoreconf --force
