=== debian/changelog ===
autofs (5.1.8-3.1ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2031241). Remaining changes:
    - Fix authenticated cifs mount failure caught by DEP8  (LP #1955851):
      + d/t/smb-mount: fix setting the password of the smb test user
      + d/p/fix-loop-under-run-in-cache_get_offset_parent.patch: fix crash
        on s390x
    - d/p/autofs-5.1.8-support-SCRAM-for-SASL-binding.patch: Support
      SASL SCRAM authentication (LP #1987992):
    - Switch to OpenLDAP for SASL binds (LP #1984073):
      + d/p/autofs-5.1.8-prepare-for-OpenLDAP-SASL-binding.patch: autoconf
        changes
      + d/p/autofs-5.1.8-let-OpenLDAP-handle-SASL-binding.patch: use
        OpenLDAP for SASL binds
      + d/p/autofs-5.1.8-ldap_sasl_interactive_bind-needs-credentials-for-auto-detection.patch:
        fix auto-detection case
      + d/p/support-external-cc-for-gssapi-bind.patch: fix external
        credentials cache case when using openldap for sasl binds
    - d/t/control, d/t/ldap-map-sasl-auth: DEP8 tests for SASL
      authentication mechanisms in LDAP maps, including shared secret
      mechanisms and GSSAPI ones
    - d/p/ntlm-crammd5-require-credentials.patch: fix NTLM and CRAM-MD5
      authentication (LP #2023595)
  * Dropped:
    - d/p/autofs-5.1.8-ldap-kerberos-leads-to-automount-hang-p.patch: fix lock
      imbalance (LP #1982219)
      [In 5.1.8-3]

 -- Andreas Hasenack <andreas@canonical.com>  Sun, 13 Aug 2023 11:04:40 -0300

autofs (5.1.8-3.1) unstable; urgency=medium

  * Non-maintainer upload (with approval by maintainer).
  * use correct reference for IN6 macro call
  * dont probe interface that cant send packet (Closes: #1041051)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 07 Aug 2023 14:00:03 +0200

autofs (5.1.8-3) unstable; urgency=medium

  * debian/patches:
    + Add fix-missing-unlock-in-sasl-do-kinit-ext-cc.patch. Fix missing unlock
      in sasl_do_kinit_ext_cc(). (Closes: #1039967).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 05 Jul 2023 11:50:21 +0200

autofs (5.1.8-2ubuntu2) mantic; urgency=medium

  * Fix NTLM and CRAM-MD5 SASL authentication (LP: #2023595):
    - d/p/ntlm-crammd5-require-credentials.patch: fix NTLM and CRAM-MD5
    - d/t/ldap-map-sasl-auth: add NTLM and CRAM-MD5 to the test
  * d/p/autofs-5.1.8-support-SCRAM-for-SASL-binding.patch: fix typo in
    the "Origin" DEP3 header
  * d/t/ldap-map-sasl-auth, d/t/control: add a missing 2>&1 to the test,
    which allows us to drop the allow-stderr flag from the control file

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 25 Jul 2023 11:29:10 -0300

autofs (5.1.8-2ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2018059). Remaining changes:
    - Fix authenticated cifs mount failure caught by DEP8  (LP #1955851):
      + d/t/smb-mount: fix setting the password of the smb test user
      + d/p/fix-loop-under-run-in-cache_get_offset_parent.patch: fix crash
        on s390x
    - d/p/autofs-5.1.8-ldap-kerberos-leads-to-automount-hang-p.patch: fix lock
      imbalance (LP #1982219)
    - Support SASL SCRAM authentication (LP #1987992):
      + d/p/autofs-5.1.8-support-SCRAM-for-SASL-binding.patch: allow
        SCRAM-SHA-*
    - Switch to OpenLDAP for SASL binds (LP #1984073):
      + d/p/autofs-5.1.8-prepare-for-OpenLDAP-SASL-binding.patch: autoconf
        changes
      + d/p/autofs-5.1.8-let-OpenLDAP-handle-SASL-binding.patch: use
        OpenLDAP for SASL binds
      + d/p/autofs-5.1.8-ldap_sasl_interactive_bind-needs-credentials-for-auto-detection.patch:
        fix auto-detection case
      + d/p/support-external-cc-for-gssapi-bind.patch: fix external
        credentials cache case when using openldap for sasl binds
    - d/t/control, d/t/ldap-map-sasl-auth: DEP8 tests for SASL
      authentication mechanisms in LDAP maps, including shared secret
      mechanisms and GSSAPI ones
  * Dropped:
    - d/p/fix-nfsv4-only-mounts-should-not-use-rpcbind.patch:
      Make NFSv4-only mounts not depend on rpcbind.  (LP #1970264)
      [In 5.1.8-2]

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 12 Jun 2023 17:06:05 -0300

autofs (5.1.8-2) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/patches:
    + Add fix-nfs4-only-mounts-should-not-use-rpcbind.patch. Don't let NFSv4-
      only mounts use rpcbind portmapper service. (Closes: #1034261).
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * lintian:
    + Adjust syntax of various overrides.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 19 May 2023 10:25:31 +0200

autofs (5.1.8-1ubuntu6) mantic; urgency=medium

  * d/t/ldap-map-sasl-auth: wait for slapd to be ready (LP: #2023232)

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 08 Jun 2023 14:02:00 -0300

autofs (5.1.8-1ubuntu5) mantic; urgency=medium

  * Support SASL SCRAM authentication (LP: #1987992):
    - d/p/autofs-5.1.8-support-SCRAM-for-SASL-binding.patch: allow
      SCRAM-SHA-*
  * Switch to OpenLDAP for SASL binds (LP: #1984073):
    - d/p/autofs-5.1.8-prepare-for-OpenLDAP-SASL-binding.patch: autoconf
      changes
    - d/p/autofs-5.1.8-let-OpenLDAP-handle-SASL-binding.patch: use
      OpenLDAP for SASL binds
    - d/p/autofs-5.1.8-ldap_sasl_interactive_bind-needs-credentials-for-auto-detection.patch:
      fix auto-detection case
    - d/p/support-external-cc-for-gssapi-bind.patch: fix external
      credentials cache case when using openldap for sasl binds
  * d/t/control, d/t/ldap-map-sasl-auth: DEP8 tests for SASL
    authentication mechanisms in LDAP maps, including shared secret
    mechanisms and GSSAPI ones

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 31 May 2023 14:32:36 -0300

autofs (5.1.8-1ubuntu4) lunar; urgency=medium

  * No-change rebuild against libldap-2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Dec 2022 19:43:08 +0000

autofs (5.1.8-1ubuntu3) kinetic; urgency=medium

  * d/p/autofs-5.1.8-ldap-kerberos-leads-to-automount-hang-p.patch: fix

