=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: autofs
 Section: utils
 Priority: optional
-Maintainer: Mike Gabriel <sunweaver@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mike Gabriel <sunweaver@debian.org>
 Uploaders:
  Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>,
 Build-Depends:
@@ -20,7 +21,7 @@
  sssd-common,
  libtirpc-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://www.kernel.org/pub/linux/daemons/autofs/v5/
 Vcs-Browser: https://salsa.debian.org/debian/autofs/
 Vcs-Git: https://salsa.debian.org/debian/autofs.git
