## autofs 5.1.9

=== Makefile ===
--- 
+++ 
@@ -39,8 +39,8 @@
 	find . -noleaf \( -name '*~' -o -name '#*' -o -name '*.orig' -o -name '*.rej' -o -name '*.old' \) -print0 | xargs -0 rm -f
 	-rm -f include/config.h Makefile.conf config.* .autofs-*
 	echo x > .autofs-`cat .version`
-	sed -e "s/(\.autofs-[0-9.]\+)/(.autofs-`cat .version`)/" < configure.in > configure.in.tmp
-	mv -f configure.in.tmp configure.in
+	sed -e "s/(\.autofs-[0-9.]\+)/(.autofs-`cat .version`)/" < configure.ac > configure.ac.tmp
+	mv -f configure.ac.tmp configure.ac
 	rm -f configure
 	$(MAKE) configure
 
@@ -51,16 +51,16 @@
 backup: mrproper
 	cd .. ; tar zcf - $(PKGDIR) | gzip -9 > autofs-$(VERSION)-bu-$(TODAY).tar.gz 
 
-configure: configure.in aclocal.m4
+configure: configure.ac aclocal.m4
 	autoconf
 	autoheader
 	rm -rf config.* *.cache
 
-configure.in: .version
+configure.ac: .version
 	-rm -f .autofs-*
 	echo x > .autofs-`cat .version`
-	sed -e "s/(\.autofs-[0-9.]\+)/(.autofs-`cat .version`)/" < configure.in > configure.in.tmp
-	mv -f configure.in.tmp configure.in
+	sed -e "s/(\.autofs-[0-9.]\+)/(.autofs-`cat .version`)/" < configure.ac > configure.ac.tmp
+	mv -f configure.ac.tmp configure.ac
 
 -include Makefile.private
