=== debian/changelog ===
autofs (5.1.9-1ubuntu4.1) noble; urgency=medium

  * d/p/autofs-5.1.9-fix-always-recreate-credential-cache.patch: fix
    credential end time comparison (LP: #2074003)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 20 Dec 2024 13:48:34 -0300

autofs (5.1.9-1ubuntu4) noble; urgency=medium

  * d/p/adjust-buffer-size-for-snprintf.patch: fix buffer size when
    appending to a string (LP: #2061667)

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 17 Apr 2024 11:47:05 -0300

autofs (5.1.9-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:32:07 +1100

autofs (5.1.9-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libtirpc3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Mar 2024 00:07:57 +0000

autofs (5.1.9-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2040368). Remaining changes:
    - Fix authenticated cifs mount failure caught by DEP8  (LP #1955851):
      + d/t/smb-mount: fix setting the password of the smb test user
    - d/t/control, d/t/ldap-map-sasl-auth: DEP8 tests for SASL
      authentication mechanisms in LDAP maps, including shared secret
      mechanisms and GSSAPI ones
    - d/p/ntlm-crammd5-require-credentials.patch: fix NTLM and CRAM-MD5
      authentication (LP #2023595)
  * Dropped:
    - d/p/fix-loop-under-run-in-cache_get_offset_parent.patch: fix crash
      on s390x
      [Included by upstream in 5.1.9]
    - d/p/autofs-5.1.8-support-SCRAM-for-SASL-binding.patch: Support
      SASL SCRAM authentication (LP #1987992)
      [Included by upstream in 5.1.9]
    - Switch to OpenLDAP for SASL binds (LP #1984073):
      + d/p/autofs-5.1.8-prepare-for-OpenLDAP-SASL-binding.patch: autoconf
        changes
      + d/p/autofs-5.1.8-let-OpenLDAP-handle-SASL-binding.patch: use
        OpenLDAP for SASL binds
      + d/p/autofs-5.1.8-ldap_sasl_interactive_bind-needs-credentials-for-auto-detection.patch:
        fix auto-detection case
      [Included by upstream in 5.1.9]

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 29 Feb 2024 11:05:09 -0300

autofs (5.1.9-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop dont-probe-interface-that-cant-send-pac.patch, fix-missing-unlock-
      in-sasl-do-kinit-ext-cc.patch, remove-kernel-mount.nfs-version-check.patch
      and use-correct-reference-for-IN6-macro-cal.patch. All shipped in similar
      variances upstream.
    + Rebase 11default_automaster_location.patch, remove-kernel-mount.nfs-
      version-check.patch and spelling-error-fixes.patch.
    + Add fix-autofs.conf-man-page.patch. Fix artifact from applying a patch to
      the man page.
    * Add fix-autofs-man-page.patch. Malformatted font layout tag. Thanks,
      lintian.
  * debian/control:
    + Switch from pkg-config to pkgconf. Thanks, lintian.
  * debian/copyright:
    + Update copyright attribution for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 11 Feb 2024 18:45:01 +0100
