=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  libsasl2-dev,
  libssl-dev,
  libxml2-dev,
- pkg-config,
+ pkgconf,
  sssd-common,
  libtirpc-dev,
 Rules-Requires-Root: no
